Skip to main content
GET
/
api
/
feed.php
Get by ID
curl "https://pulsedive.com/api/feed.php?fid=1"
{
  "fid": 123,
  "feed": "<string>",
  "organization": "<string>",
  "category": "malware",
  "pricing": "free",
  "contact": {
    "name": "abuse.ch team",
    "email": "contact@abuse.ch",
    "phone": "212-555-0123"
  },
  "website": "https://abuse.ch",
  "schedule": "daily",
  "stamp_added": "2025-05-19 14:23:45",
  "stamp_updated": "2025-05-19 14:23:45",
  "stamp_pulled": "2025-05-19 14:23:45",
  "stamp_modified": "2025-05-19 14:23:45",
  "description": "List of domains used by Zeus.",
  "accesslink": "https://abuse.ch",
  "indicators": {
    "unknown": 0,
    "low": 2,
    "medium": 2,
    "high": 2,
    "critical": 1,
    "retired": 100,
    "total": 108,
    "none": 1
  },
  "summary": {
    "properties": {},
    "attributes": {
      "technology": {},
      "protocol": {},
      "port": {}
    },
    "threats": [
      {
        "indicators": 123,
        "tid": 123,
        "category": "malware",
        "stamp_updated": "2025-05-19 14:23:45",
        "risk": "unknown",
        "name": "Zeus"
      }
    ],
    "risk": {
      "unknown": 0,
      "low": 2,
      "medium": 2,
      "high": 2,
      "critical": 1,
      "retired": 100,
      "total": 108,
      "none": 1
    }
  }
}

Query Parameters

key
string

Your Pulsedive API key.

API key authentication is optional. However, requests without a key have stricter rate limits. We recommend including an API key for better performance and reliability.

fid
string
required

Unique identifier of the feed to retrieve.

pretty
enum<integer>
default:0

Indicates whether to format returned JSON results.

For pretty-printed output, set to 1. For compact output, set to 0.

Available options:
0,
1

Response

Successful request. Returns feed information in JSON format.

fid
integer

Unique identifier of the feed.

feed
string

Name of the feed being retrieved.

organization
string

Organization associated with the feed being retrieved.

category
string

Category assigned to the feed.

Example:

"malware"

pricing
string

Pricing tier of the feed.

Example:

"free"

contact
object

Contact information for the feed.

website
string

URL of the feed.

Example:

"https://abuse.ch"

schedule
string

Update schedule for the feed.

Example:

"daily"

stamp_added
string<sql-date-time> | null

Timestamp when the feed was first added to Pulsedive. 24-hour format, UTC time zone.

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$
Example:

"2025-05-19 14:23:45"

stamp_updated
string<sql-date-time> | null

Timestamp when the feed record was last updated in Pulsedive. 24-hour format, UTC time zone.

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$
Example:

"2025-05-19 14:23:45"

stamp_pulled
string<sql-date-time> | null

Timestamp when the feed record was last pulled in Pulsedive. 24-hour format, UTC time zone.

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$
Example:

"2025-05-19 14:23:45"

stamp_modified
string<sql-date-time> | null

Timestamp when the feed record was last modified in Pulsedive. 24-hour format, UTC time zone.

Pattern: ^\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}$
Example:

"2025-05-19 14:23:45"

description
string

Description of the feed.

Example:

"List of domains used by Zeus."

Link to access the feed.

Example:

"https://abuse.ch"

indicators
object

Keyed object representing the count of each type of indicator in the feed.

Each {key} matches an indicator risk level and its value contains the corresponding count.

Example:
{
"unknown": 0,
"low": 2,
"medium": 2,
"high": 2,
"critical": 1,
"retired": 100,
"total": 108,
"none": 1
}
summary
object

Summary information about the feed.